plutil(1)

NAME
plutil - Property list utility

SYNOPSIS
progname [-command] [-options] file

DESCRIPTION
The plutil utility can be used to edit property lists, to verify the syntax, or to convert from one format to another. If ‘-’ is given as the file path, stdin and stdout are used.

The first part is the action to perform, one of:

-p  Print the whole plist to stdout, in the human-readable GNUStep format.

-lint
    Verifies the plist can be parsed.

-convert FMT
    Converts the plist to another format. ‘FMT’ can be one of:

    xml1
        Apple XML.

    binary1
        Apple binary.

    openstep
        OpenStep (untyped human-readable).

    gnustep
        GNUStep (typed human-readable).

    json
        JSON (lossy human-readable).
    The NSPropertyListFormat names are accepted too.

-insert PATH KEY Value
The default action is ‘-lint.’

The general options are:

The plutil "keypath" is a dot-separated chain of keys for traversing a plist object. An empty keypath refers to the object itself. The format of keys conform to that of GNUStep plist string literals.

IMPLEMENTATION NOTES

Quoted strings in the keypath is a GNUStep extension.

The Objective-C and Swift literal output formats are not yet implemented.

EXIT STATUS

EXAMPLES

DIAGNOSTICS

SEE ALSO
pl(1) pldes(1)

AUTHORS
-nosplit This version of plutil was written by Mingye Wang <arthur2e5@aosc.io>. plutil first appeared in Mac OS X 10.2. It received path-related capabilities around Mac OS X 10.13.